### Signal

# Shumate MarkerLayer::marker-selected

#### Declaration

    void
    marker_selected (
      ShumateMarkerLayer* self,
      ShumateMarker* marker,
      gpointer user_data
    )

#### Description [src]

Emitted when a marker in the layer is selected.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`marker`

  Type: `ShumateMarker`

  The marker that was selected.

  The data is owned by the caller of the function.